Subject: Re: [PATCH bpf-next v3] bpf: Only provide bpf_sock_from_file with CONFIG_NET

From: Randy Dunlap <[email-masked]>
Date: Tue, 8 Dec 2020 12:06:16 -0800

On 12/8/20 9:36 AM, Florent Revest wrote:
> This moves the bpf_sock_from_file definition into net/core/filter.c
> which only gets compiled with CONFIG_NET and also moves the helper proto
> usage next to other tracing helpers that are conditional on CONFIG_NET.
> 
> This avoids
>   ld: kernel/trace/bpf_trace.o: in function `bpf_sock_from_file':
>   bpf_trace.c:(.text+0xe23): undefined reference to `sock_from_file'
> When compiling a kernel with BPF and without NET.
> 
> Reported-by: kernel test robot <[email-masked]>
> Reported-by: Randy Dunlap <[email-masked]>
> Acked-by: Randy Dunlap <[email-masked]>

I would say that I didn't ack this version of the patch (hey,
it's 3x the size of the v1/v2 patches), but I have just
rebuilt with v3, so the Ack is OK.  :)

> Signed-off-by: Florent Revest <[email-masked]>
> ---
>  include/linux/bpf.h      |  1 +
>  kernel/trace/bpf_trace.c | 22 ++--------------------
>  net/core/filter.c        | 18 ++++++++++++++++++
>  3 files changed, 21 insertions(+), 20 deletions(-)

-- 
~Randy